[postgis-tickets] [SCM] PostGIS branch stable-2.5 updated. 2.5.5-27-g3040f5939
git at osgeo.org
git at osgeo.org
Thu Feb 3 12:44:13 PST 2022
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, stable-2.5 has been updated
via 3040f59392e80381d886ded352cd906f2fd0084e (commit)
from 5ef8ff1e5d60a2ce4fe0ee4c37c6cc9700414443 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 3040f59392e80381d886ded352cd906f2fd0084e
Author: Regina Obe <lr at pcorp.us>
Date: Thu Feb 3 15:44:07 2022 -0500
Update berrie and berrie64 scripts to try to avoid using packaged installed pg
diff --git a/ci/berrie/configs.sh b/ci/berrie/configs.sh
new file mode 100644
index 000000000..3a248946a
--- /dev/null
+++ b/ci/berrie/configs.sh
@@ -0,0 +1,16 @@
+export WORKSPACE=/home/jenkins/workspace
+export GEOS_VER=3.11.0
+
+export OS_BUILD=32
+export PG_VER=12
+#export GEOS_PATH=${WORKSPACE}/geos/rel-${GEOS_VER}
+#export GEOS_PATH=~/geos/rel-${GEOS_VER}
+export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
+#export PATH=${PGPATH}/bin:${PGPATH}/lib:${GEOS_PATH}/bin:${GEOS_PATH}/lib:${PATH}
+export PATH=${PGPATH}/bin:${PGPATH}/lib:${PATH}
+export PKG_CONFIG_PATH="${GEOS_PATH}/lib/pkgconfig"
+export PGPORT=55432
+export PGDATA=$PGPATH/data_${PGPORT}
+export PGHOST=localhost
+#export LD_LIBRARY_PATH="${GEOS_PATH}/lib:${PGPATH}/lib"
+export LD_LIBRARY_PATH="${PGPATH}/lib"
diff --git a/ci/berrie/pg_init_start.sh b/ci/berrie/pg_init_start.sh
index 7914f0e9c..de42cb9fa 100644
--- a/ci/berrie/pg_init_start.sh
+++ b/ci/berrie/pg_init_start.sh
@@ -1,24 +1,23 @@
-#Berrie is a 32-bit Rasberry Pi Arm managed by Bruce Rindahl
+#!/usr/bin/env bash
+#Berrie is a 32-bit Rasberry Pi managed by Bruce Rindahl
#This is script to launch custom compiled PostgreSQL
-#export label=berrie64 #this is passed in via Jenkins
-export WORKSPACE=/home/jenkins/workspace
-
-export OS_BUILD=32
-export PG_VER=12
-export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
-export PATH=${PATH}:${PGPATH}/bin:${PGPATH}/lib
-export PGPORT=55432
-export PGDATA=$PGPATH/data_${PGPORT}
+#export label=berrie #this is passed in via Jenkins
+SCRIPT=$(readlink -f "$0")
+export CUR_DIR=$(dirname "$SCRIPT")
+echo $CUR_DIR
+export CONFIG_FILE="$CUR_DIR/configs.sh"
+. $CONFIG_FILE
+echo $PATH
export PGLOG="$PGDATA/pgsql.log"
# What to use to start up the postmaster
-DAEMON="$PGPATH/bin/pg_ctl -D $PGDATA -l logfile start"
+DAEMON="$PGPATH/bin/pg_ctl -D $PGDATA -o '-F' -l logfile start"
# What to use to shut down the postmaster
PGCTL="$PGPATH/bin/pg_ctl"
# remove cluster if exists
if [ -d $PGDATA ] ; then
- if [ -d $PGDATA/postmaster.pid] ; then
+ if [ -d $PGDATA/postmaster.pid ] ; then
$PGCTL stop -D $PGDATA -s -m fast
fi;
diff --git a/ci/berrie/postgis_regress.sh b/ci/berrie/postgis_regress.sh
index 2f06e9891..1474b88d0 100644
--- a/ci/berrie/postgis_regress.sh
+++ b/ci/berrie/postgis_regress.sh
@@ -1,30 +1,29 @@
-#!/bin/bash
-# Berrie is a 32-bit Rasberry Pi Arm managed by Bruce Rindahl
+#!/usr/bin/env bash
+#bessie is a 32-bit Rasberry Pi managed by Bruce Rindahl
## BRANCH is passed in via jenkins which is set via gitea web hook
#export BRANCH=618a67b1d6fc223dd5a4c0b02c824939f21dbd65
## label is set by jenkins
#export label=${label}
-
-export WORKSPACE=/home/jenkins/workspace
-
-cd ${WORKSPACE}/PostGIS_Worker_Run/label/${label}/$BRANCH
-export OS_BUILD=32
-export PG_VER=12
-export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
-
-export PATH=${PATH}:${PGPATH}/bin:${PGPATH}/lib
-export PGPORT=55432
-export PGDATA=$PGPATH/data_${PGPORT}
-export PGHOST=localhost
+SCRIPT=$(readlink -f "$0")
+export CUR_DIR=$(dirname "$SCRIPT")
+echo $CUR_DIR
+export CONFIG_FILE="$CUR_DIR/configs.sh"
+. $CONFIG_FILE
+echo $PATH
+echo $WORKSPACE
sh autogen.sh
-./configure --with-pgconfig=${PGPATH}/bin/pg_config
+./configure --with-pgconfig=${PGPATH}/bin/pg_config \
+ --without-protobuf
#make clean
make
export err_status=0
-make install
make check RUNTESTFLAGS="-v"
-#make check RUNTESTFLAGS="-v --extension"
+make install
+make check RUNTESTFLAGS="-v --extension"
+err_status=$?
+
+make garden
err_status=$?
if [ -d $PGDATA/postmaster.pid ] ; then
diff --git a/ci/berrie64/configs.sh b/ci/berrie64/configs.sh
new file mode 100644
index 000000000..ed12d66b0
--- /dev/null
+++ b/ci/berrie64/configs.sh
@@ -0,0 +1,16 @@
+export WORKSPACE=/home/jenkins/workspace
+#export GEOS_VER=3.11.0
+
+export OS_BUILD=64
+export PG_VER=12
+#export GEOS_PATH=${WORKSPACE}/geos/rel-${GEOS_VER}
+#export GEOS_PATH=~/geos/rel-${GEOS_VER}
+export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
+#export PATH=${PGPATH}/bin:${PGPATH}/lib:${GEOS_PATH}/bin:${GEOS_PATH}/lib:${PATH}
+export PATH=${PGPATH}/bin:${PGPATH}/lib:${PATH}
+#export PKG_CONFIG_PATH="${GEOS_PATH}/lib/pkgconfig"
+export PGPORT=55433
+export PGDATA=$PGPATH/data_${PGPORT}
+export PGHOST=localhost
+#export LD_LIBRARY_PATH="${GEOS_PATH}/lib:${PGPATH}/lib"
+export LD_LIBRARY_PATH="${PGPATH}/lib"
diff --git a/ci/berrie64/pg_init_start.sh b/ci/berrie64/pg_init_start.sh
index 1df09aeb3..8b855dff3 100644
--- a/ci/berrie64/pg_init_start.sh
+++ b/ci/berrie64/pg_init_start.sh
@@ -1,17 +1,17 @@
+#!/usr/bin/env bash
#Berrie64 is a 64-bit Rasberry Pi Arm managed by Bruce Rindahl
#This is script to launch custom compiled PostgreSQL
#export label=berrie64 #this is passed in via Jenkins
-export WORKSPACE=/home/jenkins/workspace
-
-export OS_BUILD=64
-export PG_VER=12
-export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
-export PATH=${PGPATH}/bin:${PGPATH}/lib:${PATH}
-export PGPORT=55432
+SCRIPT=$(readlink -f "$0")
+export CUR_DIR=$(dirname "$SCRIPT")
+echo $CUR_DIR
+export CONFIG_FILE="$CUR_DIR/configs.sh"
+. $CONFIG_FILE
+echo $PATH
export PGDATA=$PGPATH/data_${PGPORT}
export PGLOG="$PGDATA/pgsql.log"
# What to use to start up the postmaster
-DAEMON="$PGPATH/bin/pg_ctl -D $PGDATA -l logfile start"
+DAEMON="$PGPATH/bin/pg_ctl -D $PGDATA -o '-F' -l logfile start"
# What to use to shut down the postmaster
PGCTL="$PGPATH/bin/pg_ctl"
diff --git a/ci/berrie64/postgis_regress.sh b/ci/berrie64/postgis_regress.sh
index 9859007d7..5fddfac4d 100644
--- a/ci/berrie64/postgis_regress.sh
+++ b/ci/berrie64/postgis_regress.sh
@@ -1,32 +1,34 @@
-#!/bin/bash
+#!/usr/bin/env bash
# Berrie64 is a 64-bit Rasberry Pi Arm managed by Bruce Rindahl
## BRANCH is passed in via jenkins which is set via gitea web hook
#export BRANCH=618a67b1d6fc223dd5a4c0b02c824939f21dbd65
## label is set by jenkins
#export label=${label}
-export WORKSPACE=/home/jenkins/workspace
+SCRIPT=$(readlink -f "$0")
+export CUR_DIR=$(dirname "$SCRIPT")
+echo $CUR_DIR
+export CONFIG_FILE="$CUR_DIR/configs.sh"
+. $CONFIG_FILE
+echo $PATH
cd ${WORKSPACE}/PostGIS_Worker_Run/label/${label}/$BRANCH
-export OS_BUILD=64
-export PG_VER=12
-export PGPATH=${WORKSPACE}/pg/label/${label}/rel/pg${PG_VER}w${OS_BUILD}
-
-export PATH=${PGPATH}/bin:${PGPATH}/lib:${PATH}
-export PGPORT=55432
-export PGDATA=$PGPATH/data_${PGPORT}
-export PGHOST=localhost
sh autogen.sh
-./configure --with-pgconfig=${PGPATH}/bin/pg_config
+./configure --with-pgconfig=${PGPATH}/bin/pg_config --with-geosconfig=${GEOS_PATH}/bin/geos-config
#make clean
make
export err_status=0
-make install
make check RUNTESTFLAGS="-v"
-#make check RUNTESTFLAGS="-v --extension"
+make install
+make check RUNTESTFLAGS="-v --extension"
err_status=$?
+
+#make garden
+#err_status=$?
+
+
if [ -d $PGDATA/postmaster.pid ] ; then
$PGCTL stop -D $PGDATA -s -m fast
fi
-----------------------------------------------------------------------
Summary of changes:
ci/berrie/configs.sh | 16 ++++++++++++++++
ci/berrie/pg_init_start.sh | 23 +++++++++++------------
ci/berrie/postgis_regress.sh | 33 ++++++++++++++++-----------------
ci/berrie64/configs.sh | 16 ++++++++++++++++
ci/berrie64/pg_init_start.sh | 16 ++++++++--------
ci/berrie64/postgis_regress.sh | 28 +++++++++++++++-------------
6 files changed, 82 insertions(+), 50 deletions(-)
create mode 100644 ci/berrie/configs.sh
create mode 100644 ci/berrie64/configs.sh
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list